package ButtonExample;

public class MagicSayings {
	private static int idx = 0;
	
	private static final String[] sayings = {"CSE 331 is Awesome", "Please don't Commit Rep Exposure", 
		"Don't be mean to your TAs", "How about those Inductive Proofs?",
		"Be the best Pragmatic programmer you can be", "Did you do the reading quiz?", 
		"Complement Mike H about how good is hair looks regularly",
		"Don't ever point out to Mike H when he is having a bad hair day...ever"};
	
	public static String[] getArray(){
		return sayings.clone();
	}
	
	public static String getNext(){
		//ensure within upper bound
		idx = Math.min(idx+1, sayings.length-1); 
		return sayings[idx];
	}
	
	public static String getPrevious(){
		//ensure within lower bound
		idx = Math.max(idx-1, 0); 
		return sayings[idx];
	}
}
